      program resolution

      real tstart, tstop
      logical run

      call walltime (tstart)

      run = .true.
      do while (run)
        call walltime (tstop)
        print *, 'walltime = ', tstop
        run = (tstop - 10.0 .lt. tstart)
      end do

      end

